use serenity::prelude::Context;
use serenity::{
    framework::standard::{macros::command, Args, CommandResult},
    model::channel::Message,
};

#[command]
#[description = "responds with pong"]
pub fn ping(ctx: &mut Context, message: &Message, _args: Args) -> CommandResult {
    let now = message.timestamp;
    let mut msg = message.channel_id.say(&ctx.http, "Pong! 🏓")?;
    let msg_timestamp = msg.timestamp;
    msg.edit(&ctx, |m| {
        m.content(format!(
            "Pong! 🏓 **took {}ms**",
            (msg_timestamp - now).num_milliseconds()
        ))
    })
    .ok();
    Ok(())
}
